For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
  • Transaction Data API
      • POSTRequest a new access token
Contact Us
LogoLogo
Transaction Data APIAuthentication

Request a new access token

POST
https://transaction-api.cable.tech/auth/token
POST
/auth/token
$curl -X POST https://transaction-api.cable.tech/auth/token \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "expiry_seconds": 3600,
> "scopes": {
> "organization_id": "org_9f8b7c6d5e4a3b2c1d0e",
> "scopes": [
> "transactions:write"
> ]
> }
>}'
1{
2 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
3 "expiry": 1711929600,
4 "organization_id": "org_9f8b7c6d5e4a3b2c1d0e",
5 "organization_name": "Cable Financial Services",
6 "scopes": {
7 "organization_id": "org_9f8b7c6d5e4a3b2c1d0e",
8 "scopes": [
9 "transactions:write"
10 ]
11 }
12}

Request a new access token to authenticate requests to the API. The token will expire after the specified time. To request an access token you must use the refresh / auth token provided to you by Cable. You cannot request a new token with an existing access token.

Was this page helpful?
Previous

Check if a transaction exists

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

Token request parameters
expiry_secondslongRequired300-86400

The requested expiration time in seconds for the token. Must be between 300 (5 minutes) and 86400 (24 hours).

scopesobjectRequired

Response

Token created successfully
tokenstring
expirylong
The expiration time in Unix time format.
organization_idstring
The organization ID for which the token was requested.
organization_namestring
The name of the organization for which the token was requested.
scopesobject

Errors

401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error